# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:    nagios-plugin-systemd-service
Version: 0.0.3
Release: 1.ndias%{?dist}
Summary: Nagios plugin to check the status of a systemd service

License: GPLv3+
URL:     https://github.com/melmorabity/%{name}/
Source0: https://github.com/melmorabity/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch: noarch

Requires: nagios-plugins

%description
Nagios plugin to check the status of a systemd service.

%prep
%setup -q


%build


%install
install -Dpm 0755 check_systemd_service.sh $RPM_BUILD_ROOT%{_libdir}/nagios/plugins/check_systemd_service.sh 


%files 
%doc README.md
%license LICENSE

%{_libdir}/nagios/plugins/check_systemd_service.sh


%changelog
* Mon Nov 16 2020 Nuno Dias <Nuno.Dias@gmail.com> - 0.0.3-1.ndias
- Version 0.0.3
